astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- StaticMatrixTransform

# StaticMatrixTransform

class `astropy.coordinates.transformations.``StaticMatrixTransform`(fromsys, tosys, matrix, priority=1, register=True)

  Bases: `astropy.coordinates.transformations.CoordinateTransform`

  A coordinate transformation defined as a 3 x 3 cartesian transformation matrix.

  Parameters:

  fromsys : class

  > The coordinate system class to start from.

  tosys : class

  > The coordinate system class to transform into.

  matrix : array-like

  > A 3 x 3 matrix for transforming 3-vectors. In most cases will be unitary (although this is not strictly required).

  priority : number

  > The priority if this transform when finding the shortest coordinate tranform path - large numbers are lower priorities.

  Raises:

  ValueError :

  > If the matrix is not 3 x 3